# Filename:     tb_kookwekker_counter.do
# Filetype:     Modelsim Script File
# Date:         23 may 2015
# Update:       -
# Description:  Script File For Automatic Simulation
# Author:       J. op den Brouw
# State:        Demo
# Error:        -
# Version:      1.0
# Copyright:    (c)2015, De Haagse Hogeschool

# Transcript on
transcript on

# Recreate work library
if {[file exists rtl_work]} {
	vdel -lib rtl_work -all
}
vlib rtl_work
vmap work rtl_work

# Find out if we're started through Quartus or by hand
# (or by using an exec in the Tcl window in Quartus).
# Quartus has the annoying property that it will start
# Modelsim from a directory called "simulation/modelsim".
# The design and the testbench are located in the project
# root, so we've to compensate for that.
if [ string match "*simulation/modelsim" [pwd] ] { 
	set prefix "../../"
	puts "Running Modelsim from Quartus..."
} else {
	set prefix ""
	puts "Running Modelsim..."
}

# Compile the VHDL description and testbench,
# please note that the design and its testbench are located
# in the project root, but the simulator start in directory
# <project_root>/simulation/modelsim, so we have to compensate
# for that.
#vcom -2008  -work work ${prefix}my_other_file1.vhd
#vcom -2008  -work work ${prefix}my_other_file2.vhd
vcom -2008 -work work ${prefix}kookwekker_counter.vhd
vcom -2008 -work work ${prefix}tb_kookwekker_counter.vhd

vsim -t 1ns -L rtl_work -L work -voptargs="+acc"  tb_kookwekker_counter
#vsim -t 1us -L rtl_work -L work -voptargs="+acc"  tb_kookwekker_counter

# Log all signals in the design, good if the number
# of signals is small.
add log -r *
#add log sim_clk_32768
#add log sim_areset
#add log sim_mins_up
#add log sim_secs_up
#add log sim_countdown
#add log sim_clear
#add log sim_tens_mins
#add log sim_mins
#add log sim_tens_secs
#add log sim_secs
#add log sim_time_zero
#add log sim*


# Add all toplevel signals
# Add a number of signals of the simulated design
add wave -divider "System"
add wave            -label sim_clk_32768 sim_clk_32768
add wave            -label sim_areset sim_areset
add wave -divider "Inputs"
add wave            -label sim_mins_up sim_mins_up
add wave            -label sim_secs_up sim_secs_up
add wave            -label sim_clear sim_clear
add wave            -label sim_countdown sim_countdown
add wave -divider "Outputs"
add wave -radix hex -label sim_tens_mins sim_tens_mins
add wave -radix hex -label sim_mins sim_mins
add wave -radix hex -label sim_tens_secs sim_tens_secs
add wave -radix hex -label sim_secs sim_secs
add wave            -label sim_time_zero sim_time_zero
add wave -divider "Simulate internals"
add wave            -label still_simulating still_simulating

# Open Structure, Signals (waveform) and List window
view structure
#view list
view signals

# Run until no signal events...
run -all

# Fill up the waveform in the window
wave zoom full
